AppsOperations Class

AppsOperations operations.

You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

Inheritance
builtins.object
AppsOperations

Constructor

AppsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Methods

add

Creates a new LUIS app.

add_custom_prebuilt_domain

Adds a prebuilt domain along with its intent and entity models as a new application.

delete

Deletes an application.

download_query_logs

Gets the logs of the past month's endpoint queries for the application.

get

Gets the application info.

get_publish_settings

Get the application publish settings including 'UseAllTrainingData'.

get_settings

Get the application settings including 'UseAllTrainingData'.

import_lu_format

Imports an application to LUIS, the application's structure is included in the request body.

import_method

Imports an application to LUIS, the application's structure is included in the request body.

import_v2_app

Imports an application to LUIS, the application's structure is included in the request body.

list

Lists all of the user's applications.

list_available_custom_prebuilt_domains

Gets all the available custom prebuilt domains for all cultures.

list_available_custom_prebuilt_domains_for_culture

Gets all the available prebuilt domains for a specific culture.

list_cortana_endpoints

Gets the endpoint URLs for the prebuilt Cortana applications.

list_domains

Gets the available application domains.

list_endpoints

Returns the available endpoint deployment regions and URLs.

list_supported_cultures

Gets a list of supported cultures. Cultures are equivalent to the written language and locale. For example,"en-us" represents the U.S. variation of English.

list_usage_scenarios

Gets the application available usage scenarios.

package_published_application_as_gzip

package - Gets published LUIS application package in binary stream GZip format.

Packages a published LUIS application as a GZip file to be used in the LUIS container.

package_trained_application_as_gzip

package - Gets trained LUIS application package in binary stream GZip format.

Packages trained LUIS application as GZip file to be used in the LUIS container.

publish

Publishes a specific version of the application.

update

Updates the name or description of the application.

update_publish_settings

Updates the application publish settings including 'UseAllTrainingData'.

update_settings

Updates the application settings including 'UseAllTrainingData'.

add

Creates a new LUIS app.

add(application_create_object, custom_headers=None, raw=False, **operation_config)

Parameters

application_create_object
ApplicationCreateObject
Required

An application containing Name, Description (optional), Culture, Usage Scenario (optional), Domain (optional) and initial version ID (optional) of the application. Default value for the version ID is "0.1". Note: the culture cannot be changed after the app is created.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

str or ClientRawResponse if raw=true

Return type

str,

Exceptions

add_custom_prebuilt_domain

Adds a prebuilt domain along with its intent and entity models as a new application.

add_custom_prebuilt_domain(domain_name=None, culture=None, custom_headers=None, raw=False, **operation_config)

Parameters

domain_name
str
default value: None

The domain name.

culture
str
default value: None

The culture of the new domain.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

str or ClientRawResponse if raw=true

Return type

str,

Exceptions

delete

Deletes an application.

delete(app_id, force=False, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

force
bool
default value: False

A flag to indicate whether to force an operation.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

OperationStatus or ClientRawResponse if raw=true

Return type

Exceptions

download_query_logs

Gets the logs of the past month's endpoint queries for the application.

download_query_logs(app_id, custom_headers=None, raw=False, callback=None, **operation_config)

Parameters

app_id
str
Required

The application ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

callback
<xref:Callable>[<xref:Bytes>, <xref:response=None>]
default value: None

When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.

operation_config
Required

Operation configuration overrides.

Returns

object or ClientRawResponse if raw=true

Return type

<xref:Generator>,

Exceptions

get

Gets the application info.

get(app_id, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

ApplicationInfoResponse or ClientRawResponse if raw=true

Return type

Exceptions

get_publish_settings

Get the application publish settings including 'UseAllTrainingData'.

get_publish_settings(app_id, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

PublishSettings or ClientRawResponse if raw=true

Return type

Exceptions

get_settings

Get the application settings including 'UseAllTrainingData'.

get_settings(app_id, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

ApplicationSettings or ClientRawResponse if raw=true

Return type

Exceptions

import_lu_format

Imports an application to LUIS, the application's structure is included in the request body.

import_lu_format(luis_app_lu, app_name=None, custom_headers=None, raw=False, **operation_config)

Parameters

luis_app_lu
str
Required

A LUIS application structure.

app_name
str
default value: None

The application name to create. If not specified, the application name will be read from the imported object. If the application name already exists, an error is returned.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

str or ClientRawResponse if raw=true

Return type

str,

Exceptions

import_method

Imports an application to LUIS, the application's structure is included in the request body.

import_method(luis_app, app_name=None, custom_headers=None, raw=False, **operation_config)

Parameters

luis_app
LuisApp
Required

A LUIS application structure.

app_name
str
default value: None

The application name to create. If not specified, the application name will be read from the imported object. If the application name already exists, an error is returned.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

str or ClientRawResponse if raw=true

Return type

str,

Exceptions

import_v2_app

Imports an application to LUIS, the application's structure is included in the request body.

import_v2_app(luis_app_v2, app_name=None, custom_headers=None, raw=False, **operation_config)

Parameters

luis_app_v2
LuisAppV2
Required

A LUIS application structure.

app_name
str
default value: None

The application name to create. If not specified, the application name will be read from the imported object. If the application name already exists, an error is returned.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

str or ClientRawResponse if raw=true

Return type

str,

Exceptions

list

Lists all of the user's applications.

list(skip=0, take=100, custom_headers=None, raw=False, **operation_config)

Parameters

skip
int
default value: 0

The number of entries to skip. Default value is 0.

take
int
default value: 100

The number of entries to return. Maximum page size is 500. Default is 100.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

Exceptions

list_available_custom_prebuilt_domains

Gets all the available custom prebuilt domains for all cultures.

list_available_custom_prebuilt_domains(custom_headers=None, raw=False, **operation_config)

Parameters

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

Exceptions

list_available_custom_prebuilt_domains_for_culture

Gets all the available prebuilt domains for a specific culture.

list_available_custom_prebuilt_domains_for_culture(culture, custom_headers=None, raw=False, **operation_config)

Parameters

culture
str
Required

Culture.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

Exceptions

list_cortana_endpoints

Gets the endpoint URLs for the prebuilt Cortana applications.

list_cortana_endpoints(custom_headers=None, raw=False, **operation_config)

Parameters

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

PersonalAssistantsResponse or ClientRawResponse if raw=true

Return type

Exceptions

list_domains

Gets the available application domains.

list_domains(custom_headers=None, raw=False, **operation_config)

Parameters

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

list[str],

Exceptions

list_endpoints

Returns the available endpoint deployment regions and URLs.

list_endpoints(app_id, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

dict or ClientRawResponse if raw=true

Return type

dict[str, str],

Exceptions

list_supported_cultures

Gets a list of supported cultures. Cultures are equivalent to the written language and locale. For example,"en-us" represents the U.S. variation of English.

list_supported_cultures(custom_headers=None, raw=False, **operation_config)

Parameters

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

Exceptions

list_usage_scenarios

Gets the application available usage scenarios.

list_usage_scenarios(custom_headers=None, raw=False, **operation_config)

Parameters

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

list or ClientRawResponse if raw=true

Return type

list[str],

Exceptions

package_published_application_as_gzip

package - Gets published LUIS application package in binary stream GZip format.

Packages a published LUIS application as a GZip file to be used in the LUIS container.

package_published_application_as_gzip(app_id, slot_name, custom_headers=None, raw=False, callback=None, **operation_config)

Parameters

app_id
str
Required

The application ID.

slot_name
str
Required

The publishing slot name.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

callback
<xref:Callable>[<xref:Bytes>, <xref:response=None>]
default value: None

When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.

operation_config
Required

Operation configuration overrides.

Returns

object or ClientRawResponse if raw=true

Return type

<xref:Generator>,

Exceptions

package_trained_application_as_gzip

package - Gets trained LUIS application package in binary stream GZip format.

Packages trained LUIS application as GZip file to be used in the LUIS container.

package_trained_application_as_gzip(app_id, version_id, custom_headers=None, raw=False, callback=None, **operation_config)

Parameters

app_id
str
Required

The application ID.

version_id
str
Required

The version ID.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

callback
<xref:Callable>[<xref:Bytes>, <xref:response=None>]
default value: None

When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.

operation_config
Required

Operation configuration overrides.

Returns

object or ClientRawResponse if raw=true

Return type

<xref:Generator>,

Exceptions

publish

Publishes a specific version of the application.

publish(app_id, version_id=None, is_staging=False, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

version_id
str
default value: None

The version ID to publish.

is_staging
bool
default value: False

Indicates if the staging slot should be used, instead of the Production one.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

ProductionOrStagingEndpointInfo or ClientRawResponse if raw=true

Return type

Exceptions

update

Updates the name or description of the application.

update(app_id, name=None, description=None, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

name
str
default value: None

The application's new name.

description
str
default value: None

The application's new description.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

OperationStatus or ClientRawResponse if raw=true

Return type

Exceptions

update_publish_settings

Updates the application publish settings including 'UseAllTrainingData'.

update_publish_settings(app_id, publish_setting_update_object, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

publish_setting_update_object
PublishSettingUpdateObject
Required

An object containing the new publish application settings.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

OperationStatus or ClientRawResponse if raw=true

Return type

Exceptions

update_settings

Updates the application settings including 'UseAllTrainingData'.

update_settings(app_id, is_public=None, custom_headers=None, raw=False, **operation_config)

Parameters

app_id
str
Required

The application ID.

is_public
bool
default value: None

Setting your application as public allows other people to use your application's endpoint using their own keys.

custom_headers
dict
default value: None

headers that will be added to the request

raw
bool
default value: False

returns the direct response alongside the deserialized response

operation_config
Required

Operation configuration overrides.

Returns

OperationStatus or ClientRawResponse if raw=true

Return type

Exceptions

Attributes

models

models = <module 'azure.cognitiveservices.language.luis.authoring.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.12\\x64\\lib\\site-packages\\azure\\cognitiveservices\\language\\luis\\authoring\\models\\__init__.py'>